<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class GalleryMetaInfos extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table("galleries", function (Blueprint $table) {
            $table->enum("status", ["preview", "online", "deleted", "archiv"])->default("online");
            $table->boolean("listed")->default(true)->comment("Listet on the Tenant Page");
            $table->mediumText("tags")->nullable()->default(null);
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
